---
name: test.r3flow
description: Testing flow lines.
keywords: [ raster3d, unit test ]
---

# test.r3flow

Testing flow lines.

=== "Command line"

    **test.r3flow**
    **test**=*string*
    [**coordinates**=*float* [,*float*,...]]
    [**input**=*name* [,*name*,...]]
    [**--verbose**]
    [**--quiet**]
    [**--qq**]
    [**--ui**]

    Example:

    ```sh
    test.r3flow test=string
    ```

=== "Python (grass.script)"

    *grass.script.run_command*("***test.r3flow***",
        **test**,
        **coordinates**=*None*,
        **input**=*None*,
        **verbose**=*False*,
        **quiet**=*False*,
        **superquiet**=*False*)

    Example:

    ```python
    gs.run_command("test.r3flow", test="string")
    ```

## Parameters

=== "Command line"

    **test**=*string* **[required]**  
    &nbsp;&nbsp;&nbsp;&nbsp;Select what is tested  
    &nbsp;&nbsp;&nbsp;&nbsp;Allowed values: *interpolation, gradient*  
    **coordinates**=*float* [,*float*,...]  
    &nbsp;&nbsp;&nbsp;&nbsp;x,y,z coordinates  
    **input**=*name* [,*name*,...]  
    &nbsp;&nbsp;&nbsp;&nbsp;Name of input 3D raster map(s)  
    **--help**  
    &nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
    **--verbose**  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    **--quiet**  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    **--qq**  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    **--ui**  
    &nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

=== "Python (grass.script)"

    **test** : str, *required*  
    &nbsp;&nbsp;&nbsp;&nbsp;Select what is tested  
    &nbsp;&nbsp;&nbsp;&nbsp;Allowed values: *interpolation, gradient*  
    **coordinates** : float | list[float] | str, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;x,y,z coordinates  
    **input** : str | list[str], *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Name of input 3D raster map(s)  
    &nbsp;&nbsp;&nbsp;&nbsp;Used as: input, raster_3d, *name*  
    **verbose**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **quiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **superquiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*

## DESCRIPTION

Testing module for *r3.flow*.

## SEE ALSO

*[r3.flow](r3.flow.md)*

## AUTHOR

Anna Petrasova

## SOURCE CODE

Available at: [test.r3flow source code](https://github.com/OSGeo/grass/tree/main/raster3d/r3.flow)
([history](https://github.com/OSGeo/grass/commits/main/raster3d/r3.flow))  
Latest change: Tuesday Mar 04 14:36:35 2025 in commit [748e31b](https://github.com/OSGeo/grass/commit/748e31b9661251ff9b25833051bfc8cc152e5604)
